#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3300two4xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 3300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire3300two4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two33004xi
#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 3300
# -------------------------------------------------------------------------------------------------
shot2two33004xi = {
        1:'1001x-859y-3024z',
        2:'1013x-246y-3131z',
        3:'1020x-787y-3037z',
        4:'1028x-307y-3120z',
        5:'1035x-715y-3050z',
        6:'1040x-371y-3109z',
        7:'1045x-644y-3062z',
        8:'1048x-437y-3098z',
        9:'1050x-1597y-2689z',
        10:'1050x-574y-3074z',
        11:'1051x-505y-3086z',
        12:'1116x-1518y-2708z',
        13:'1125x-3087y-300z',
        14:'116x-3296y-102z',
        15:'1177x-1437y-2727z',
        16:'1232x-1353y-2745z',
        17:'126x-2167y-2485z',
        18:'1282x-1267y-2763z',
        19:'1284x-3021y-332z',
        20:'12x-2195y-2463z',
        21:'131x-1398y-2986z',
        22:'1326x-1180y-2781z',
        23:'132x-1751y-2793z',
        24:'1364x-1091y-2799z',
        25:'1396x-1002y-2816z',
        26:'1398x-65y-2988z',
        27:'1422x-141y-2974z',
        28:'1423x-912y-2833z',
        29:'1439x-2946y-365z',
        30:'1442x-219y-2959z',
        31:'1444x-822y-2850z',
        32:'1457x-301y-2945z',
        33:'1460x-733y-2867z',
        34:'1468x-384y-2930z',
        35:'1470x-644y-2883z',
        36:'1474x-469y-2914z',
        37:'1474x-556y-2899z',
        38:'1589x-2864y-398z',
        39:'1699x-2828y-30z',
        40:'1735x-2773y-431z',
        41:'1844x-2735y-63z',
        42:'1875x-2675y-463z',
        43:'1985x-2634y-96z',
        44:'2009x-2569y-496z',
        45:'200x-1360y-2999z',
        46:'2119x-2525y-129z',
        47:'2138x-2457y-529z',
        48:'220x-1714y-2810z',
        49:'2247x-2410y-162z',
        50:'2260x-2337y-561z',
        51:'2369x-2288y-195z',
        52:'236x-2132y-2506z',
        53:'2375x-2212y-594z',
        54:'2483x-2081y-626z',
        55:'2484x-2159y-228z',
        56:'2583x-1944y-658z',
        57:'2592x-2025y-261z',
        58:'265x-1318y-3013z',
        59:'2676x-1802y-691z',
        60:'2692x-1885y-294z',
        61:'2760x-1656y-723z',
        62:'2784x-1740y-327z',
        63:'2837x-1506y-755z',
        64:'2868x-1590y-360z',
        65:'289x-3284y-135z',
        66:'2905x-1352y-787z',
        67:'2944x-1436y-393z',
        68:'2964x-1195y-819z',
        69:'3012x-1278y-425z',
        70:'3015x-1036y-851z',
        71:'3056x-874y-883z',
        72:'305x-1673y-2828z',
        73:'3070x-1117y-458z',
        74:'3089x-711y-915z',
        75:'3113x-547y-946z',
        76:'3120x-954y-491z',
        77:'3128x-382y-978z',
        78:'3130x-53y-1041z',
        79:'3134x-217y-1009z',
        80:'3161x-788y-523z',
        81:'3187x-854y-9z',
        82:'3193x-620y-556z',
        83:'3215x-451y-588z',
        84:'3227x-686y-42z',
        85:'3228x-282y-621z',
        86:'3232x-112y-653z',
        87:'3258x-516y-75z',
        88:'326x-1273y-3026z',
        89:'3280x-344y-108z',
        90:'3292x-172y-141z',
        91:'343x-2092y-2528z',
        92:'385x-1627y-2844z',
        93:'395x-1262y-3131z',
        94:'41x-1784y-2775z',
        95:'447x-2047y-2549z',
        96:'460x-3263y-168z',
        97:'462x-1577y-2861z',
        98:'534x-1523y-2877z',
        99:'547x-1996y-2570z',
        100:'59x-1433y-2971z',
        101:'602x-1467y-2893z',
        102:'630x-3233y-201z',
        103:'642x-1940y-2590z',
        104:'666x-1407y-2909z',
        105:'725x-1344y-2924z',
        106:'734x-1879y-2611z',
        107:'779x-1280y-2940z',
        108:'798x-3193y-234z',
        109:'820x-1814y-2631z',
        110:'828x-1213y-2954z',
        111:'873x-1144y-2969z',
        112:'902x-1746y-2650z',
        113:'912x-1074y-2983z',
        114:'916x-26y-3170z',
        115:'944x-77y-3160z',
        116:'947x-1003y-2997z',
        117:'963x-3144y-267z',
        118:'970x-130y-3151z',
        119:'976x-931y-3011z',
        120:'979x-1673y-2670z',
        121:'993x-187y-3141z'}
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire3300two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire3300two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3300TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE3300TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3300TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3300TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3300TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two33004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3300TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3300TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3300TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two33004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two33004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3300TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE3300TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3300TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two33004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>



        